public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
* [git.ipfire.org] IPFire 2.x development tree branch, next, updated. d43bb759b1bb6d02a93b63d0dfd82e623685fb21
@ 2013-07-08 20:37 git
  0 siblings, 0 replies; only message in thread
From: git @ 2013-07-08 20:37 UTC (permalink / raw)
  To: ipfire-scm

[-- Attachment #1: Type: text/plain, Size: 3494 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, next has been updated
       via  d43bb759b1bb6d02a93b63d0dfd82e623685fb21 (commit)
      from  29fa14154fc211a4eb91d0c75c041b74fc0bf1fa (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit d43bb759b1bb6d02a93b63d0dfd82e623685fb21
Author: Arne Fitzenreiter <arne_f(a)ipfire.org>
Date:   Mon Jul 8 22:32:42 2013 +0200

    functions.network: cleanup dhcp stop script.

-----------------------------------------------------------------------

Summary of changes:
 .../init.d/networking/functions.network            | 49 +++++++++-------------
 src/initscripts/init.d/networking/red              |  0
 .../init.d/networking/wpa_supplicant.exe           |  0
 src/initscripts/init.d/wlanclient                  |  0
 4 files changed, 20 insertions(+), 29 deletions(-)
 mode change 100755 => 100644 src/initscripts/init.d/networking/functions.network
 mode change 100755 => 100644 src/initscripts/init.d/networking/red
 mode change 100755 => 100644 src/initscripts/init.d/networking/wpa_supplicant.exe
 mode change 100755 => 100644 src/initscripts/init.d/wlanclient

Difference in files:
diff --git a/src/initscripts/init.d/networking/functions.network b/src/initscripts/init.d/networking/functions.network
old mode 100755
new mode 100644
index b1ce220..d52b301
--- a/src/initscripts/init.d/networking/functions.network
+++ b/src/initscripts/init.d/networking/functions.network
@@ -123,34 +123,25 @@ dhcpcd_stop() {
 		exit 1
 	fi
 
-	# Check if we got a valid lease.
-	if [ -e $leaseinfo ]; then
-		. $leaseinfo
-		if [ "$dchp_lease_time" = "4294967295" ]; then
-			# do nothing, just echo ok
-			echo_ok
-		else
-			# Stop dhcpcd.
-			/sbin/dhcpcd "${device}" "${dhcp_stop}" &> /dev/null
-			ret="$?"
-
-			# Wait until dhcpd has stopped.
-			while [ -d "/proc/${pid}" ]; do
-				sleep 1
-			done
-
-			# Display console message, depended on the exit code
-			# of the stopped dhcpcd.
-			if [ "${ret}" -eq 0 ]; then
-				boot_mesg
-				echo_ok
-			elif [ "${ret}" -eq 1 ]; then
-				boot_mesg "failed to stop dhcpcd!" ${WARNING}
-				echo_warning
-			else
-				boot_mesg
-				echo_failure
-			fi
-		fi
+	# Stop dhcpcd.
+	/sbin/dhcpcd "${device}" "${dhcp_stop}" &> /dev/null
+	ret="$?"
+
+	# Wait until dhcpd has stopped.
+	while [ -d "/proc/${pid}" ]; do
+		sleep 1
+	done
+
+	# Display console message, depended on the exit code
+	# of the stopped dhcpcd.
+	if [ "${ret}" -eq 0 ]; then
+		boot_mesg
+		echo_ok
+	elif [ "${ret}" -eq 1 ]; then
+		boot_mesg "failed to stop dhcpcd!" ${WARNING}
+		echo_warning
+	else
+		boot_mesg
+		echo_failure
 	fi
 }
diff --git a/src/initscripts/init.d/networking/red b/src/initscripts/init.d/networking/red
old mode 100755
new mode 100644
diff --git a/src/initscripts/init.d/networking/wpa_supplicant.exe b/src/initscripts/init.d/networking/wpa_supplicant.exe
old mode 100755
new mode 100644
diff --git a/src/initscripts/init.d/wlanclient b/src/initscripts/init.d/wlanclient
old mode 100755
new mode 100644


hooks/post-receive
--
IPFire 2.x development tree

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2013-07-08 20:37 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2013-07-08 20:37 [git.ipfire.org] IPFire 2.x development tree branch, next, updated. d43bb759b1bb6d02a93b63d0dfd82e623685fb21 git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox